@echo off
SET APP_HOME=%~dp0..\
SET PATH=%APP_HOME%Jre\bin;%PATH%
SET CLASSPATH=%APP_HOME%lib\*
SET CUSTOM_ARGUMENTS=-Xmx512m
SET JAVA_ARGUMENTS=-XX:+HeapDumpOnOutOfMemoryError -Dlog_folder=%APP_HOME%logs -Dlogging.config=%APP_HOME%config/logback.xml
SET JAVA_CLASS=-jar %APP_HOME%lib\ConnSolace.jar
SET APPLICATION_ARGUMENTS=--spring.config.location=%APP_HOME%config/application.properties
START /D %APP_HOME%lib javaw.exe %CUSTOM_ARGUMENTS% %JAVA_ARGUMENTS% %JAVA_CLASS% %APPLICATION_ARGUMENTS%
exit